Description

Every page that contains a laboratory and TB unit selecion field requires either a CONVERSATION or SESSION scope.

PROBLEM:

Because conversation scope is created so often, the user session takes a lot of RAM memory to store temporary information. In

Ukraine, for 150 users, the system consumes up to 6Gb of RAM.

SOLUTION:

Change the way the administrative unit of the lab/unit is stored in the system (now just an Integer value is stored in session scope);

History

#1 - 11/06/2013 08:36 AM - Ricardo Memoria

CHANGES IN THE FORMS

Exam forms:

In exam*.pages.xml, remove the lines

  <restrict>#{caseHome.canEditExams}</restrict>

  <begin-conversation join="true"/>

 

and replace by:

    <action execute="#{examXXXHome.initializeForm}"/>    

 

also, remove all

<end-conversation> 

 

declarations
#2 - 11/07/2013 03:15 PM - Ricardo Memoria

- Status changed from New to Resolved

Implemented and available in dev server

#3 - 12/12/2013 08:19 AM - Ricardo Memoria

- Status changed from Resolved to Closed

avaliable in production already

Powered by TCPDF (www.tcpdf.org)

05/06/2025 2/2

http://www.tcpdf.org

